summaryrefslogtreecommitdiff
path: root/dev-tcltk/thread
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /dev-tcltk/thread
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'dev-tcltk/thread')
-rw-r--r--dev-tcltk/thread/Manifest4
-rw-r--r--dev-tcltk/thread/files/thread-2.8.5-musl.patch20
-rw-r--r--dev-tcltk/thread/metadata.xml12
-rw-r--r--dev-tcltk/thread/thread-2.8.10.ebuild48
-rw-r--r--dev-tcltk/thread/thread-2.8.12.ebuild48
-rw-r--r--dev-tcltk/thread/thread-3.0.5.ebuild48
6 files changed, 180 insertions, 0 deletions
diff --git a/dev-tcltk/thread/Manifest b/dev-tcltk/thread/Manifest
new file mode 100644
index 000000000000..4de3f88eab39
--- /dev/null
+++ b/dev-tcltk/thread/Manifest
@@ -0,0 +1,4 @@
+DIST tclconfig-2023.12.11.tar.gz 49691 BLAKE2B 53bb91d125fd080b79ac83af1053d8bb981a8e917b7c8e4db71da89c43263d75a9604623a85d560bcbf3d686f61ccf21bffd794d333aa6cb35c959ab3042991d SHA512 c4eaa31ca1ec585536cd6d31a548b347dae3167197433674d2f3912ce85bad00dda55b0c60eebf26cb5f9d651c8437688e1829f7d3996a22bba2d93e4538946c
+DIST thread-2-8-10.tar.gz 322254 BLAKE2B d74587718aa15844dfbb0c6346605e4bf141cf74b6291ea178d6e98976c5afd7bf413dadad04fdbe2513196b5c7c40d3f28fa8eeac28b9a29737a93584622843 SHA512 ec262dfa1ad85182babed0aa1b08462b6d6523a3a4fd5535cf8cbc5a4591bd86be5087355c68862e854c29d5bde85754915fb578caaad3e50c3385d57262e0f2
+DIST thread-2-8-12.tar.gz 320235 BLAKE2B 9c7ef8191faaf2b6b4f14e0d21fe8d8e48c6d4a377736633084ba6b5e3a3e0d31ae8e47cbc9aa83f8de28128265546ebdc4ef6a3a235db04db8c34260e2672fd SHA512 1adbe53a86839a18935a061c27b2f978ebde791ccbde6f06901774cdc2bc55cebd8207ef6256981d4a88b09de3e09d5f2a1ee5ae001440e5d1389334ff710230
+DIST thread-3-0-5.tar.gz 319619 BLAKE2B 6623fd782ba7b430538a931282d07f60c1bcba6c9fbcb1baf8aceeed08255cba0f18934eb66d9bee755dc212dd86493fde995dde8581ff6acf87152674583e53 SHA512 128f69c1d4366fcbf5c0f72a0648556fa1cf586ec5eb2ab67a068e89e387a96022c6270eb4e91cc60b657f97c468b4a8213dd9c052e28bb098f1d35bee0af963
diff --git a/dev-tcltk/thread/files/thread-2.8.5-musl.patch b/dev-tcltk/thread/files/thread-2.8.5-musl.patch
new file mode 100644
index 000000000000..0743d8628c06
--- /dev/null
+++ b/dev-tcltk/thread/files/thread-2.8.5-musl.patch
@@ -0,0 +1,20 @@
+joining a thread not joinable is no more returning EINVAL
+Its behaviour is undefined
+--- a/tests/thread.test 2023-03-16 21:31:05.333423098 +0100
++++ b/tests/thread.test 2023-03-16 21:31:25.837324400 +0100
+@@ -100,15 +100,6 @@
+ set c
+ } {0}
+
+-test thread-4.5 {thread::create - join detached thread} {
+- ThreadReap
+- set tid [thread::create]
+- thread::send -async $tid {after 1000 ; thread::release}
+- catch {set res [thread::join $tid]} msg
+- ThreadReap
+- lrange $msg 0 2
+-} {cannot join thread}
+-
+ test thread-5.0 {thread::release} {
+ ThreadReap
+ set tid [thread::create {thread::release}]
diff --git a/dev-tcltk/thread/metadata.xml b/dev-tcltk/thread/metadata.xml
new file mode 100644
index 000000000000..1e08d65c4c11
--- /dev/null
+++ b/dev-tcltk/thread/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>tcltk@gentoo.org</email>
+ <name>Gentoo Tcltk Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="sourceforge">tcl</remote-id>
+ <remote-id type="github">tcltk/thread</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-tcltk/thread/thread-2.8.10.ebuild b/dev-tcltk/thread/thread-2.8.10.ebuild
new file mode 100644
index 000000000000..41927c665fe0
--- /dev/null
+++ b/dev-tcltk/thread/thread-2.8.10.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+MY_P="${PN}-$(ver_rs 0- '-')"
+TCLCONFIGId=4a924db4fb37fa0c7cc2ae987b294dbaa97bc713
+
+DESCRIPTION="Tcl Thread extension"
+HOMEPAGE="http://www.tcl.tk/"
+SRC_URI="
+ https://github.com/tcltk/${PN}/archive/refs/tags/${MY_P}.tar.gz
+ https://github.com/tcltk/tclconfig/archive/${TCLCONFIGId}.tar.gz
+ -> tclconfig-2023.12.11.tar.gz
+"
+
+S="${WORKDIR}"/${PN}-${MY_P}
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
+
+DEPEND="dev-lang/tcl:0=[threads]"
+RDEPEND="${DEPEND}"
+
+QA_CONFIG_IMPL_DECL_SKIP=(
+ opendir64 readdir64 rewinddir64 closedir64 stat64 # used to test for Large File Support on AIX
+)
+
+PATCHES=( "${FILESDIR}"/${PN}-2.8.5-musl.patch )
+
+src_prepare() {
+ ln -s ../tclconfig-${TCLCONFIGId} tclconfig || die
+ echo "unknown" > manifest.uuid || die
+ default
+
+ # Search for libs in libdir not just exec_prefix/lib
+ sed -i -e 's:${exec_prefix}/lib:${libdir}:' \
+ aclocal.m4 || die "sed failed"
+
+ eautoreconf
+}
+
+src_configure() {
+ econf --with-tclinclude="${EPREFIX}/usr/include" \
+ --with-tcl="${EPREFIX}/usr/$(get_libdir)"
+}
diff --git a/dev-tcltk/thread/thread-2.8.12.ebuild b/dev-tcltk/thread/thread-2.8.12.ebuild
new file mode 100644
index 000000000000..06a6e59d5c79
--- /dev/null
+++ b/dev-tcltk/thread/thread-2.8.12.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=9
+
+inherit autotools
+
+MY_P="${PN}-$(ver_rs 0- '-')"
+TCLCONFIGId=4a924db4fb37fa0c7cc2ae987b294dbaa97bc713
+
+DESCRIPTION="Tcl Thread extension"
+HOMEPAGE="http://www.tcl.tk/"
+SRC_URI="
+ https://github.com/tcltk/${PN}/archive/refs/tags/${MY_P}.tar.gz
+ https://github.com/tcltk/tclconfig/archive/${TCLCONFIGId}.tar.gz
+ -> tclconfig-2023.12.11.tar.gz
+"
+
+S="${WORKDIR}"/${PN}-${MY_P}
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+DEPEND="dev-lang/tcl:0=[threads]"
+RDEPEND="${DEPEND}"
+
+QA_CONFIG_IMPL_DECL_SKIP=(
+ opendir64 readdir64 rewinddir64 closedir64 stat64 # used to test for Large File Support on AIX
+)
+
+PATCHES=( "${FILESDIR}"/${PN}-2.8.5-musl.patch )
+
+src_prepare() {
+ ln -s ../tclconfig-${TCLCONFIGId} tclconfig || die
+ echo "unknown" > manifest.uuid || die
+ default
+
+ # Search for libs in libdir not just exec_prefix/lib
+ sed -i -e 's:${exec_prefix}/lib:${libdir}:' \
+ aclocal.m4 || die "sed failed"
+
+ eautoreconf
+}
+
+src_configure() {
+ econf --with-tclinclude="${EPREFIX}/usr/include" \
+ --with-tcl="${EPREFIX}/usr/$(get_libdir)"
+}
diff --git a/dev-tcltk/thread/thread-3.0.5.ebuild b/dev-tcltk/thread/thread-3.0.5.ebuild
new file mode 100644
index 000000000000..06a6e59d5c79
--- /dev/null
+++ b/dev-tcltk/thread/thread-3.0.5.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=9
+
+inherit autotools
+
+MY_P="${PN}-$(ver_rs 0- '-')"
+TCLCONFIGId=4a924db4fb37fa0c7cc2ae987b294dbaa97bc713
+
+DESCRIPTION="Tcl Thread extension"
+HOMEPAGE="http://www.tcl.tk/"
+SRC_URI="
+ https://github.com/tcltk/${PN}/archive/refs/tags/${MY_P}.tar.gz
+ https://github.com/tcltk/tclconfig/archive/${TCLCONFIGId}.tar.gz
+ -> tclconfig-2023.12.11.tar.gz
+"
+
+S="${WORKDIR}"/${PN}-${MY_P}
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+DEPEND="dev-lang/tcl:0=[threads]"
+RDEPEND="${DEPEND}"
+
+QA_CONFIG_IMPL_DECL_SKIP=(
+ opendir64 readdir64 rewinddir64 closedir64 stat64 # used to test for Large File Support on AIX
+)
+
+PATCHES=( "${FILESDIR}"/${PN}-2.8.5-musl.patch )
+
+src_prepare() {
+ ln -s ../tclconfig-${TCLCONFIGId} tclconfig || die
+ echo "unknown" > manifest.uuid || die
+ default
+
+ # Search for libs in libdir not just exec_prefix/lib
+ sed -i -e 's:${exec_prefix}/lib:${libdir}:' \
+ aclocal.m4 || die "sed failed"
+
+ eautoreconf
+}
+
+src_configure() {
+ econf --with-tclinclude="${EPREFIX}/usr/include" \
+ --with-tcl="${EPREFIX}/usr/$(get_libdir)"
+}